Subject: bug#753: [Fwd: sh-script.el: indentation of ( )]

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Jan 2009 12:24:02 -0500

>> It doesn't matter.  "done)" is not an entity in `sh', so we should not
>> treat it as one.
> Yes, but it is a useful shortcut to treat it as one IMO, since it
> gets the indentation "mostly right" for little effort.

It still gets it wrong for "done )".  And it introduces bugs elsewhere.
I'm pretty sure it was not done on purpose: it's basically a bug that
accidentally does the right thing in some corner cases.

> I'm afraid I don't know how to fix it (indentation) properly, so I
> reopened this bug.

We know how to fix the OP's bug without re-introducing the bug that my
misguided patch tried to fix.  So we should do that and close this bug.
Then we can open another bug about the "done )" case pattern since it's
a different bug.

        Stefan